RubyGems Navigation menu

rubycritic 4.5.2

RubyCritic is a tool that wraps around various static analysis gems to provide a quality report of your Ruby code.

版本列表:

  1. 4.5.2 - September 04, 2020 (1.1 MB)
  2. 4.5.1 - June 29, 2020 (1.1 MB)
  3. 4.5.0 - May 14, 2020 (1.1 MB)
  4. 4.4.1 - February 20, 2020 (1.1 MB)
  5. 4.4.0 - February 15, 2020 (1.1 MB)
显示所有 (71 个版本)

Runtime 依赖关系 (10):

  • flay ~> 2.8
  • flog ~> 4.4
  • launchy >= 2.0.0
  • parser >= 2.6.0
  • rainbow ~> 3.0
  • reek ~> 6.0, < 7.0
  • ruby_parser ~> 3.8
  • simplecov >= 0.17.0
  • tty-which ~> 0.4.0
  • virtus ~> 1.0
  • Development 依赖关系 (13):

  • appraisal >= 0
  • aruba ~> 0.12, >= 0.12.0
  • bundler ~> 2.0, >= 2.0.0
  • byebug ~> 11.0, >= 10.0
  • cucumber ~> 3.0, >= 2.2.0
  • diff-lcs ~> 1.3
  • fakefs ~> 0.10, >= 0.10.0
  • mdl ~> 0.5.0
  • minitest ~> 5.3, >= 5.3.0
  • minitest-around ~> 0.5.0, >= 0.4.0
  • mocha ~> 1.1, >= 1.1.0
  • rake ~> 12.0, >= 11.0.0
  • rubocop ~> 0.65.0
  • 所有者:

    Pushed by:

    作者:

    • Guilherme Simoes

    SHA 256 checksum:

    82be91ca9cbc5990055db450bc79296ded8201d984a69541078046c2f5ce6f88

    下载总次数 3,619,052

    这个版本 67,193

    Gemfile:
    = 复制到剪贴板 已复制

    安装:
    =

    许可:

    MIT

    需要的 Ruby 版本: >= 2.4.0

    相关链接: